<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Vehiculos</title>
</head>

<body>
    <h1>Inspecciona la consola y ve los vehiculos que tenemos</h1>
    <script>

        const sucursal = {
            nombre: 'Sucursal 1',
            direccion: 'direccion 1'
        };

        fetch("/sucursales", {
            method: 'POST',
            body: JSON.stringify(sucursal)
        })
            .then(function (response) {
                return response.json()
            }).then(function (sucursal) {

                let vehiculo = {
                    marca: 'Fiat',
                    modelo: 'Siena',
                    precio: '80000',
                    color: 'azul',
                    sucursalid: sucursal.id,
                }
                console.log("Ejecutando un POST")
                fetch("/vehiculos", {
                    method: 'POST',
                    headers: {
                        'Content-type': 'application/json'
                    },
                    body: JSON.stringify(vehiculo)
                })
                    .then(function (response) {
                        console.log(response);
                        return response.json();
                    })
                    .then(function (datos) {
                        console.log(datos);


                        vehiculo = datos;
                        console.log("Ejecutando un GET")
                        fetch('/vehiculos')
                            .then(function (response) {
                                console.log(response)

                                return response.json()
                            })
                            .then(function (datos) {
                                console.log(datos)
                            })

                        vehiculo.marca = "Nissan"
                        vehiculo.modelo = "Sentra"
                        vehiculo.precio = "75555"
                        vehiculo.color = "verde"
                        console.log("Ejecutando un PUT")
                        fetch('/vehiculos/' + vehiculo.id, {
                            method: 'PUT',
                            body: JSON.stringify(vehiculo)
                        })
                            .then(function (response) {
                                console.log(response);
                                return response.text();
                            })
                            .then(function (datos) {
                                console.log(datos);
                            })
                        console.log("Ejecutando un DELETE")
                        fetch('/vehiculos/' + vehiculo.id, {
                            method: 'DELETE'
                        })
                            .then(function (response) {
                                console.log(response);
                                return response.text();
                            })
                            .then(function (datos) {
                                console.log(datos);
                            })
                    });
            })

    </script>

</body>

</html>